Bug 170654 - [exp-run] Update CMake to 2.8.9
[exp-run] Update CMake to 2.8.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Raphael Kubo da Costa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 17:50 UTC by Raphael Kubo da Costa
Modified: 2012-09-14 21:07 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2012-08-15 17:50:08 UTC
	We (kde@) would like to ask for an exp-run for the recently-released CMake 2.8.9.
	A patch can be fetched from http://people.freebsd.org/~rakuco/exp-runs/cmake-2.8.9-v1.diff
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-08-15 21:35:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

exp-runs are portmgr territory
Comment 2 Raphael Kubo da Costa freebsd_committer 2012-08-25 02:00:17 UTC
Raphael Kubo da Costa <rakuco@FreeBSD.org> writes:

> We (kde@) would like to ask for an exp-run for the recently-released
> CMake 2.8.9.
> A patch can be fetched from
> http://people.freebsd.org/~rakuco/exp-runs/cmake-2.8.9-v1.diff

New patch with some plist adjustments:
http://people.freebsd.org/~rakuco/exp-runs/cmake-2.8.9-v2.diff
Comment 3 Beat Gaetzi freebsd_committer 2012-09-11 14:36:44 UTC
Responsible Changed
From-To: portmgr->beat

Take for exp-run.
Comment 4 Beat Gaetzi freebsd_committer 2012-09-13 13:48:31 UTC
Responsible Changed
From-To: beat->rakuco

Exp-run finished and no problems detected. 

Please review the error logs too: 
http://pointyhat.freebsd.org/errorlogs/amd64-9-exp-latest/
Comment 5 dfilter freebsd_committer 2012-09-14 20:23:04 UTC
Author: rakuco
Date: Fri Sep 14 19:22:51 2012
New Revision: 304291
URL: http://svn.freebsd.org/changeset/ports/304291

Log:
  Update CMake to 2.8.9.
  
  PR:		ports/170654

Deleted:
  head/devel/cmake/files/patch-git_3ea850a5023060b84dcc0e6f0098c32c28b15807
Modified:
  head/devel/cmake-gui/Makefile
  head/devel/cmake-gui/distinfo
  head/devel/cmake-modules/pkg-plist
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindJava.cmake
  head/devel/cmake/pkg-plist

Modified: head/devel/cmake-gui/Makefile
==============================================================================
--- head/devel/cmake-gui/Makefile	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake-gui/Makefile	Fri Sep 14 19:22:51 2012	(r304291)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	cmake
-PORTVERSION=	2.8.8
-PORTREVISION=	1
+PORTVERSION=	2.8.9
 CATEGORIES=	devel
 MASTER_SITES=	http://www.${PORTNAME}.org/files/v${PORTVERSION:C/\.[[:digit:]]+$//}/
 PKGNAMESUFFIX=	-gui

Modified: head/devel/cmake-gui/distinfo
==============================================================================
--- head/devel/cmake-gui/distinfo	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake-gui/distinfo	Fri Sep 14 19:22:51 2012	(r304291)
@@ -1,2 +1,2 @@
-SHA256 (cmake-2.8.8.tar.gz) = 2b59897864d6220ff20aa8eac64cac8994e004898a1c0f899c8cb4d7b7570b46
-SIZE (cmake-2.8.8.tar.gz) = 5691656
+SHA256 (cmake-2.8.9.tar.gz) = dc3dcc7399be8636471975f955086cdf800739862c240858a98e89719e45e6f9
+SIZE (cmake-2.8.9.tar.gz) = 5658837

Modified: head/devel/cmake-modules/pkg-plist
==============================================================================
--- head/devel/cmake-modules/pkg-plist	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake-modules/pkg-plist	Fri Sep 14 19:22:51 2012	(r304291)
@@ -26,6 +26,7 @@
 %%DATADIR%%/Modules/CMakeCXXCompilerABI.cpp
 %%DATADIR%%/Modules/CMakeCXXCompilerId.cpp.in
 %%DATADIR%%/Modules/CMakeCXXInformation.cmake
+%%DATADIR%%/Modules/CMakeClDeps.cmake
 %%DATADIR%%/Modules/CMakeCommonLanguageInclude.cmake
 %%DATADIR%%/Modules/CMakeCompilerABI.h
 %%DATADIR%%/Modules/CMakeConfigurableFile.in
@@ -269,6 +270,7 @@
 %%DATADIR%%/Modules/FindLAPACK.cmake
 %%DATADIR%%/Modules/FindLATEX.cmake
 %%DATADIR%%/Modules/FindLibArchive.cmake
+%%DATADIR%%/Modules/FindLibLZMA.cmake
 %%DATADIR%%/Modules/FindLibXml2.cmake
 %%DATADIR%%/Modules/FindLibXslt.cmake
 %%DATADIR%%/Modules/FindLua50.cmake
@@ -384,6 +386,7 @@
 %%DATADIR%%/Modules/MacroAddFileDependencies.cmake
 %%DATADIR%%/Modules/NSIS.InstallOptions.ini.in
 %%DATADIR%%/Modules/NSIS.template.in
+%%DATADIR%%/Modules/Platform/AIX-GNU-ASM.cmake
 %%DATADIR%%/Modules/Platform/AIX-GNU-C.cmake
 %%DATADIR%%/Modules/Platform/AIX-GNU-CXX.cmake
 %%DATADIR%%/Modules/Platform/AIX-GNU-Fortran.cmake

Modified: head/devel/cmake/Makefile
==============================================================================
--- head/devel/cmake/Makefile	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake/Makefile	Fri Sep 14 19:22:51 2012	(r304291)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	cmake
-PORTVERSION=	2.8.8
-PORTREVISION?=	1
+PORTVERSION=	2.8.9
 CATEGORIES=	devel
 MASTER_SITES=	http://www.${PORTNAME}.org/files/v${PORTVERSION:C/\.[[:digit:]]+$//}/
 

Modified: head/devel/cmake/distinfo
==============================================================================
--- head/devel/cmake/distinfo	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake/distinfo	Fri Sep 14 19:22:51 2012	(r304291)
@@ -1,2 +1,2 @@
-SHA256 (cmake-2.8.8.tar.gz) = 2b59897864d6220ff20aa8eac64cac8994e004898a1c0f899c8cb4d7b7570b46
-SIZE (cmake-2.8.8.tar.gz) = 5691656
+SHA256 (cmake-2.8.9.tar.gz) = dc3dcc7399be8636471975f955086cdf800739862c240858a98e89719e45e6f9
+SIZE (cmake-2.8.9.tar.gz) = 5658837

Modified: head/devel/cmake/files/patch-Modules_FindJava.cmake
==============================================================================
--- head/devel/cmake/files/patch-Modules_FindJava.cmake	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake/files/patch-Modules_FindJava.cmake	Fri Sep 14 19:22:51 2012	(r304291)
@@ -1,11 +1,11 @@
 --- ./Modules/FindJava.cmake.orig	2010-04-16 16:49:52.000000000 +1100
 +++ ./Modules/FindJava.cmake	2010-04-16 16:51:27.398957616 +1100
-@@ -90,7 +90,7 @@
+@@ -107,7 +107,7 @@
        # 2. OpenJDK 1.6
        # 3. GCJ 1.5
        # 4. Kaffe 1.4.2
--      IF(var MATCHES "java version \"[0-9]+\\.[0-9]+\\.[0-9_.]+[oem-]*\".*")
-+      IF(var MATCHES "[java|openjdk] version \"[0-9]+\\.[0-9]+\\.[0-9_.]+[oem-]*\".*")
+-      IF(var MATCHES "java version \"[0-9]+\\.[0-9]+\\.[0-9_.]+.*\".*")
++      IF(var MATCHES "[java|openjdk] version \"[0-9]+\\.[0-9]+\\.[0-9_.]+.*\".*")
          # This is most likely Sun / OpenJDK, or maybe GCJ-java compat layer
          STRING( REGEX REPLACE ".* version \"([0-9]+\\.[0-9]+\\.[0-9_.]+)[oem-]*\".*"
                  "\\1" Java_VERSION_STRING "${var}" )

Modified: head/devel/cmake/pkg-plist
==============================================================================
--- head/devel/cmake/pkg-plist	Fri Sep 14 19:14:11 2012	(r304290)
+++ head/devel/cmake/pkg-plist	Fri Sep 14 19:22:51 2012	(r304291)
@@ -3,7 +3,13 @@ bin/cmake
 bin/cpack
 bin/ctest
 share/aclocal/cmake.m4
-share/emacs/site-lisp/cmake-mode.el
+%%DATADIR%%/completions/cmake
+%%DATADIR%%/completions/cpack
+%%DATADIR%%/completions/ctest
+%%DATADIR%%/editors/emacs/cmake-mode.el
+%%DATADIR%%/editors/vim/cmake-help.vim
+%%DATADIR%%/editors/vim/cmake-indent.vim
+%%DATADIR%%/editors/vim/cmake-syntax.vim
 %%DATADIR%%/include/cmCPluginAPI.h
 %%DOCSDIR%%/Copyright.txt
 %%DOCSDIR%%/ccmake.docbook
@@ -36,6 +42,7 @@ share/emacs/site-lisp/cmake-mode.el
 %%DOCSDIR%%/ctest.docbook
 %%DOCSDIR%%/ctest.html
 %%DOCSDIR%%/ctest.txt
+share/emacs/site-lisp/cmake-mode.el
 @dirrm %%DOCSDIR%%/cmzlib
 @dirrm %%DOCSDIR%%/cmsys
 @dirrm %%DOCSDIR%%/cmlibarchive
@@ -44,4 +51,8 @@ share/emacs/site-lisp/cmake-mode.el
 @dirrm %%DOCSDIR%%/cmcompress
 @dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/include
+@dirrm %%DATADIR%%/editors/vim
+@dirrm %%DATADIR%%/editors/emacs
+@dirrm %%DATADIR%%/editors
+@dirrm %%DATADIR%%/completions
 @dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Raphael Kubo da Costa freebsd_committer 2012-09-14 21:07:40 UTC
State Changed
From-To: open->closed

Aaaaaand finally committed!